package com.xty.base.utils

import android.content.Context
import android.graphics.drawable.Drawable
import com.xty.common.R

object UserInfoDefin {

    /**
     * 各种健康状态图
     */
    val healthIcon by lazy {
        arrayOf(
            R.mipmap.icon_health_none,
            R.mipmap.icon_health_none,
            R.mipmap.ic_health,
            R.mipmap.ic_health_sub,
            R.mipmap.ic_disease
        )
    }

    /**
     * 心脏各种状态图片
     */
    val heartIcon by lazy {
        arrayOf(
            R.mipmap.ic_heart_4,
            R.mipmap.ic_heart_4,
            R.mipmap.ic_heart_1,
            R.mipmap.ic_heart_2,
            R.mipmap.ic_heart_3
        )
    }

    /**
     * 肝各种状态图片
     */
    val liverIcon by lazy {
        arrayOf(
            R.mipmap.ic_liver_4,
            R.mipmap.ic_liver_4,
            R.mipmap.ic_liver_1,
            R.mipmap.ic_liver_2,
            R.mipmap.ic_liver_3
        )
    }
    /**
     * 脾脏各种状态图片
     */
    val spleenIcon by lazy {
        arrayOf(
            R.mipmap.ic_spleen_4,
            R.mipmap.ic_spleen_4,
            R.mipmap.ic_spleen_1,
            R.mipmap.ic_spleen_2,
            R.mipmap.ic_spleen_3
        )
    }
    /**
     * 肺各种状态图片
     */
    val lungIcon by lazy {
        arrayOf(
            R.mipmap.ic_lung_4,
            R.mipmap.ic_lung_4,
            R.mipmap.ic_lung_1,
            R.mipmap.ic_lung_2,
            R.mipmap.ic_lung_3
        )
    }
    /**
     * 肾各种状态图片
     */
    val kidneyIcon by lazy {
        arrayOf(
            R.mipmap.ic_kidney_4,
            R.mipmap.ic_kidney_4,
            R.mipmap.ic_kidney_1,
            R.mipmap.ic_kidney_2,
            R.mipmap.ic_kidney_3
        )
    }
    /**
     * 大肠各种状态图片
     */
    val largeIcon by lazy {
        arrayOf(
            R.mipmap.ic_large_intestine_4,
            R.mipmap.ic_large_intestine_4,
            R.mipmap.ic_large_intestine_1,
            R.mipmap.ic_large_intestine_2,
            R.mipmap.ic_large_intestine_3
        )
    }
    /**
     * 小肠各种状态图片
     */
    val smallIcon by lazy {
        arrayOf(
            R.mipmap.ic_small_intestine_4,
            R.mipmap.ic_small_intestine_4,
            R.mipmap.ic_small_intestine_1,
            R.mipmap.ic_small_intestine_2,
            R.mipmap.ic_small_intestine_3
        )
    }
    /**
     * 胃各种状态图片
     */
    val stomachIcon by lazy {
        arrayOf(
            R.mipmap.ic_stomach_4,
            R.mipmap.ic_stomach_4,
            R.mipmap.ic_stomach_1,
            R.mipmap.ic_stomach_2,
            R.mipmap.ic_stomach_3
        )
    }
    /**
     * 淋巴各种状态图片
     */
    val lymphIcon by lazy {
        arrayOf(
            R.mipmap.ic_lymph_4,
            R.mipmap.ic_lymph_4,
            R.mipmap.ic_lymph_1,
            R.mipmap.ic_lymph_2,
            R.mipmap.ic_lymph_3
        )
    }
    /**
     * 胆囊各种状态图片
     */
    val gallIcon by lazy {
        arrayOf(
            R.mipmap.ic_gallbladder_4,
            R.mipmap.ic_gallbladder_4,
            R.mipmap.ic_gallbladder_1,
            R.mipmap.ic_gallbladder_2,
            R.mipmap.ic_gallbladder_3
        )
    }
    /**
     * 膀胱各种状态图片
     */
    val bladderIcon by lazy {
        arrayOf(
            R.mipmap.ic_bladder_4,
            R.mipmap.ic_bladder_4,
            R.mipmap.ic_bladder_1,
            R.mipmap.ic_bladder_2,
            R.mipmap.ic_bladder_3
        )
    }

    /**
     * 心包各种状态图片
     */
    val pericardiumIcon by lazy {
        arrayOf(
            R.mipmap.ic_pericardium_4,
            R.mipmap.ic_pericardium_4,
            R.mipmap.ic_pericardium_1,
            R.mipmap.ic_pericardium_2,
            R.mipmap.ic_pericardium_3
        )
    }

    /**
     * 健康状态各种颜色
     */
    val healthCol by lazy {
        arrayOf(
            R.color.col_7b8,
            R.color.col_7b8,
            R.color.col_9BDd,
            R.color.col_96D,
            R.color.col_FDA481
        )
    }


    /**
     * 性别
     */
    fun getSexArray(context: Context): Array<String> {
        return context.resources.getStringArray(R.array.sex_array)
    }

    /**
     * 健康状态
     */
    fun getHealthArray(context: Context): Array<String> {
        return context.resources.getStringArray(R.array.status_array)
    }

    /**
     * 健康评星图
     * @param statusInt 0:建模中 1：数据不足 2：健康 3：亚健康 4：疾病
     *
     * @see 注意：这个statusInt 和服务器对不上，特么的app里面都加了1，然后服务器也是几个地方都定义不一样。 有问题的话再联调
     */
    fun getStarImage(context: Context, statusInt: Int): Drawable{
        lateinit var drawable: Drawable
        when(statusInt + 1){
            0 -> {
                drawable = context.getDrawable(R.mipmap.icon_insufficient)!!
            }
            1->{
                drawable = context.getDrawable(R.mipmap.icon_insufficient)!!
            }
            2->{
                drawable = context.getDrawable(R.mipmap.icon_healthy)!!
            }
            3->{
                drawable = context.getDrawable(R.mipmap.icon_sub_health)!!
            }
            4->{
                drawable = context.getDrawable(R.mipmap.icon_disease)!!
            }
        }
        return drawable
    }
}